%define version 0.6
%define release 2mdk

Summary: A program to use the "Jog Dial" on Sony Vaio Laptops
Name: sjog
Version: %{version}
Release: %{release}
License: GPL
Group: System/Configuration/Other
Source0: http://prdownloads.sourceforge.net/sjog/sjog-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://sjog.sourceforge.net/
Requires: libgtk+1.2 >= 1.2
Requires: spicctrl
Exclusivearch: %{ix86}

%description 
The aim of S-Jog is to give Linux a nice graphical application to
manage Jog-Dial wheel on Sony Vaio laptops. It utilizes the Sony
Programmable I/O driver in recent 2.4.x kernels or the legacy SPIC
driver provided in S-Jog distribution (only available from source
package).

Currently, S-Jog is able to launch applications defined in the sjogrc
file, adjust the screen brightness level and also the master volume of
the sound card. Also S-Jog makes the Jog-Dial work like a mousewheel
and it runs in background.

%prep
%setup -q

%build
CFLAGS="-DDEBUG" \
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall transform=''

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README TODO AUTHORS COPYING ChangeLog
%config(noreplace) %{_sysconfdir}/sjogrc
%{_datadir}/sjog/pixmaps/*
%{_bindir}/sjog
%{_bindir}/setbrightness
%{_mandir}/man1/sjog*

%changelog
* Thu Feb 20 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.6-2mdk
- Rebuilt.

* Wed Feb 19 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.6-1mdk
- Updated to release 0.6.

* Wed Nov 13 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.5-2mdk
- add Exclusivearch: %%{ix86} - thx Sylvain

* Thu Aug 01 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.5-1mdk
- adaptation to Linux Mandrake RPM specs.
- added debian patches.

* Sat Jul 21 2000 Sylvain GIL <sjog at tootella.org> 0.5-1
- Very small typos corrections.

* Sat Jul 21 2000 Mike Bremford <mike at big.faceless.org> 0.4-1
- Created first cut of RPM for sjog-0.4.
